USE [StackOverflow2010]
GO

SELECT TOP 5 p.[Title]
    ,p.[ViewCount]
    ,p.[AnswerCount]
    ,p.[FavoriteCount]
    ,UserInfo.[Id]
    ,UserInfo.[DisplayName]
    ,UserInfo.[Reputation]
    ,PostTypes.[Type]
FROM dbo.Posts p
INNER JOIN dbo.Users UserInfo ON UserInfo.Id = p.OwnerUserId
INNER JOIN dbo.PostTypes PostTypes ON PostTypes.Id = p.PostTypeId
ORDER BY ViewCount DESC
FOR JSON PATH;


SELECT TOP 5 p.[Title] AS [Post.Title]
    ,p.[ViewCount] AS [Post.Views]
    ,p.[AnswerCount] AS [Post.Answers]
    ,p.[FavoriteCount] AS [Post.Favorites]
    ,UserInfo.[Id] AS [User.Id]
    ,UserInfo.[DisplayName] AS [User.Name]
    ,UserInfo.[Reputation] AS [User.Reputation]
    ,pt.[Type] AS [PostType.TypeName]
FROM dbo.Posts p
INNER JOIN dbo.Users UserInfo ON UserInfo.Id = p.OwnerUserId
INNER JOIN dbo.PostTypes pt ON pt.Id = p.PostTypeId
ORDER BY ViewCount DESC
FOR JSON PATH--, ROOT('PostList');